//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

//---------------------------------------------------------------------------
// DICOLIB FUNCTIONS
//---------------------------------------------------------------------------

#define WORD_LENGTH (5)

//---------------------------------------------------------------------------

enum {TL_ENGLISH,TL_FRENCH};

//---------------------------------------------------------------------------

typedef struct
{
	int language;
	char WordStr[WORD_LENGTH+1];
	int MAXWORDS;
	char * VarPtr;
}
TDico;

//---------------------------------------------------------------------------

int DicoLoad(void);
char* GetWord(int num);
int WordExistsL(char * word);
int WordExists(char * word);

//---------------------------------------------------------------------------
