//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

// C Header File
// Created 09/02/02; 19:30:58

//---------------------------------------------------------------------------

#define TRIES_MAX (6)

//---------------------------------------------------------------------------

typedef struct
{

struct
{
char word[WORD_LENGTH+1];
int state[WORD_LENGTH+1];
}
tries[TRIES_MAX];

int accept_bad_words;
int word_is_accepted;

char SolutionStr[WORD_LENGTH+1];
char ActualWord[WORD_LENGTH+1];
char KnownLetters[WORD_LENGTH+1];

int pos_x;
int pos_y;

int squares;
int rounds;

}
TGame;

//---------------------------------------------------------------------------

enum {TG_TILE,TG_SQUARE,TG_ROUND,TG_WRONG};

//---------------------------------------------------------------------------

void RefreshScreen(void);
void NewGame (void);
void OnBadWord(void);
void OnWin(void);
void NewTry(void);
void ValidateWord(void);
void SRCalculate(char * str1, char * str2);
void AddLetter(char letter);

//---------------------------------------------------------------------------
